Get Namespace Storage Class Metrics
Retrieves paginated list of namespace storage class usage objects
Get a paginated list of namespace storage class usage objects.
Request
URI
GET
https://{api_host}/cloudapi/v1/namespaceStorageClassMetrics
COPY
Query Parameters
string
filter
Optional
Filter for a query. FIQL format.
string
sortAsc
Optional
Field to use for ascending sort
string
sortDesc
Optional
Field to use for descending sort
integer
page
Required
Constraints:
minimum: 1
default: 1
Page to fetch, zero offset.
integer
pageSize
Required
Constraints:
minimum: 0
maximum: 128
default: 25
Results per page to fetch.
Responses
200
OK
Returns
NamespaceStorageClassMetrics
of type(s)
application/json;version=9.1.0
This response body class contains all of the following:
Page ,
InlineNamespaceStorageClassMetrics1
{
"resultTotal": 0,
"pageCount": 0,
"page": 0,
"pageSize": 0,
"associations": [
{
"entityId": "string",
"associationId": "string"
}
],
"values": [
{
"id": "string",
"name": "string",
"namespaceStorageClass": {
"storageClass": {
"name": "string",
"id": "string"
},
"storageLimitMiB": 0,
"realizedStorageLimitMiB": 0
},
"storageUsedMiB": 0
}
]
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Modern"}]
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/namespaceStorageClassMetrics?page=value&pageSize=v
Availability
Added in 9.1.0
On This Page
Namespaces Operations
GET
Get Namespaces
GET
Get Namespace
GET
Get Namespace Storage Class Metrics